Subject: bug#40952: closed (Re: bug#40952: gnuradio-osmosdr: no hook into gnuradio block directory?)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 30 Apr 2020 14:17:02 +0000

Your bug report

#40952: gnuradio-osmosdr: no hook into gnuradio block directory?

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40952: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40952
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40952: gnuradio-osmosdr: no hook into gnuradio block directory?
From: Guillaume Le Vaillant <[email-masked]>
To: [email-masked]
Cc: Christopher Howard <[email-masked]>
Date: Thu, 30 Apr 2020 16:16:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Christopher Howard <[email-masked]> skribis:

> Works now, thanks! Am able to feed data in from HackRF using osmosdr
> source block.
>
> (As a side note to posterity reading this: I have the hackrf system
> service set in my config.scm, as described in the hackrf package
> description.)

Ok, closing the bug.

Subject: gnuradio-osmosdr: no hook into gnuradio block directory?
From: Christopher Howard <[email-masked]>
To: [email-masked]
Date: Tue, 28 Apr 2020 20:20:29 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, I installed gnuradio and gnuradio-osmosdr, but when I open
gnuradio, none of the osmosdr blocks are available from gnuradio blocks
list. Specifically, I was looking for osmosdr source block, which I am
familiar with from using gnuradio under Debian. I believe the problem
is that the osmosdr blocks are not in the directory where gnuradio-
companion is looking for blocks.

When starting up gnuradio-companion, stdout indicates grc is looking for blocks here:

/gnu/store/h2igg2gcbx6ds8wbvlkqz0dkplvwjxbd-gnuradio-3.8.0.0/share/gnuradio/grc/blocks

But osmosdr blocks are in 

/gnu/store/ppb504vizb32f4w2s5f0yd6i4xpy41nz-gnuradio-osmosdr-0.2.0/share/gnuradio/grc/blocks/

Evidentally gnuradio package needs to be enhanced to create a per-
profile merged directory from all gnuradio- block packages that are
installed. Unless there is some way to extend the gnuradio search path
through environment variables.

-- 
Christopher Howard
p: +1 (907) 374-0257
w: https://librehacker.com
social: https://gnusocial.club/librehacker
gpg: ADDEAADE5D607C8D (keys.gnupg.net)